@echo off
TITLE Revert back to Windows 10 Volume Mixer
COLOR 1F
echo.
for /f "tokens=4-5 delims=. " %%i in ('ver') do set "TestWinVer=%%i"
IF %TestWinVer% LSS 10 echo This script only works on Windows 10 Kernels. & GOTO :Finished

cd %systemroot%\system32
call :IsAdmin
CLS
TITLE Revert back to Windows 10 Volume Mixer.
COLOR 1F

echo.
echo Simple script to revert the Windows 7 style Volume Mixer 
echo back to default Windows 10 new style.

rem Revert back to Windows 10 Volume Mixer.
Reg delete "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\MTCUVC" /v "EnableMtcUvc" /f >NUL 2>&1
Reg add "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\MTCUVC" /f  >NUL 2>&1

echo.
echo Done. Reboot Maybe Required.

:Finished
echo.
pause
exit

:IsAdmin
Reg.exe query "HKU\S-1-5-19\Environment"
If Not %ERRORLEVEL% EQU 0 (
 Cls
 echo.
 Echo You must have administrator rights to continue...
 echo.
 Pause
 Exit
)
